commit f2b027a9eff6f24323f8af64f62cf48a76ff7cb5
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Wed Aug 28 11:49:08 2024 +0100

    libstdc++: Remove unused typedef in <ranges>
    
    This local typedef should have been removed in r14-6199-g45630fbcf7875b.
    
    libstdc++-v3/ChangeLog:
    
            * include/std/ranges (to): Remove unused typedef.
    
    (cherry picked from commit a59f1cc31cf6c7ed30a78cef134ea3ed5e139414)

diff --git a/libstdc++-v3/include/std/ranges b/libstdc++-v3/include/std/ranges
index 4c92f609f41..44c6d2ff11e 100644
--- a/libstdc++-v3/include/std/ranges
+++ b/libstdc++-v3/include/std/ranges
@@ -9407,7 +9407,6 @@ namespace __detail
 			 std::forward<_Args>(__args)...);
 	  else
 	    {
-	      using _RefT = range_reference_t<_Rg>;
 	      static_assert(constructible_from<_Cont, _Args...>);
 	      _Cont __c(std::forward<_Args>(__args)...);
 	      if constexpr (sized_range<_Rg>

